=== release 1.24.10 ===

2024-12-03 23:29:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.10

2024-10-30 20:40:12 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.9

=== release 1.24.9 ===

2024-10-30 20:33:30 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.9

2024-09-19 12:12:53 +0200  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.8
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7549>

=== release 1.24.8 ===

2024-09-19 12:01:21 +0200  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.8

2024-08-21 12:33:28 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.7

=== release 1.24.7 ===

2024-08-21 12:25:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.7

2024-07-29 16:48:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.6

=== release 1.24.6 ===

2024-07-29 16:41:37 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.6

2024-06-20 13:02:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.5

=== release 1.24.5 ===

2024-06-20 12:54:15 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.5

2024-05-29 13:51:27 +0300  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.4

=== release 1.24.4 ===

2024-05-29 13:44:50 +0300  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.4

2024-04-30 00:36:59 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.3
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6772>

=== release 1.24.3 ===

2024-04-30 00:15:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.3

2024-04-26 03:37:47 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Fix Python library searching on Windows
	  Neither LIBDIR nor LIBPL are set with the native windows Python
	  (unlike MSYS2), so we need to use `prefix` which takes us to the
	  rootdir of the Python installation.
	  The name is also different: it's python312.dll, not python3.12.dll.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6748>

2024-04-26 02:59:37 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Fix Python library name fetching on Windows
	  `python.get_variable('FOO', [])` becomes `python.get_variable('FOO')`
	  due to how Meson treats empty arrays in arguments, which breaks the
	  fallback feature of get_variable().
	  So we need to actually check whether the variable exists before trying
	  to fetch it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6748>

2024-04-12 19:54:55 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* plugin/meson.build:
	  meson: Don't link to python for the gi overrides module
	  We only need to link to python directly for the plugin:
	  https://github.com/mesonbuild/meson/issues/7712#issuecomment-689357908
	  https://github.com/Homebrew/homebrew-core/pull/165176#issuecomment-2051835257
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6638>

2024-04-10 00:04:02 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.24.2

=== release 1.24.2 ===

2024-04-09 21:48:55 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.2

2024-03-22 01:38:06 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development

=== release 1.24.1 ===

2024-03-21 21:47:53 +0100  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.1

2024-03-05 13:45:27 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6264>

=== release 1.24.0 ===

2024-03-04 23:51:42 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.24.0

2024-02-26 09:27:40 +0100  Edward Hervey <edward@centricular.com>

	* RELEASE:
	  docs: Use Discourse and Matrix as prefered communication channels
	  Part of: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6220

=== release 1.23.90 ===

2024-02-23 18:20:11 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.23.90

2024-02-21 16:31:29 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* plugin/gstpythonplugin.c:
	  gst-python: Print exception if pygobject fails to initialize
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6159>

2024-02-21 11:58:08 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Use cdata.set_quoted() for configuration data
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6159>

2024-02-21 11:26:30 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* plugin/gstpythonplugin.c:
	* plugin/meson.build:
	  ges, gst-python: Fix libpython dlopen on macOS
	  First encountered at https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/1171#note_2290789
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6159>

2024-02-21 09:54:22 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  ges, gst-python: Rework libpython loading to be relocatable
	  If we don't specify a path for loading, the runtime linker will search
	  for the library instead, which will use the usual mechanisms: RPATHs,
	  LD_LIBRARY_PATH, PATH (on Windows), etc.
	  Also try harder to load a non-devel libpython using INSTSONAME, if
	  available.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6159>

2024-02-15 16:38:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6126>

=== release 1.23.2 ===

2024-02-15 15:37:17 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.23.2

2024-02-06 18:09:02 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6066>

=== release 1.23.1 ===

2024-02-06 16:37:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-python.doap:
	* meson.build:
	  Release 1.23.1

2024-02-02 11:24:31 +0100  Edward Hervey <edward@centricular.com>

	* testsuite/test_gst.py:
	  gst-python: Fix unit test for python >= 3.12
	  unittest.TestCase.assertEquals was marked deprecated since 3.0 and was finally
	  removed in 3.12
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5633>

2024-01-04 13:43:20 +0000  Edward Hervey <edward@centricular.com>

	* gi/__init__.py:
	* testsuite/overrides_hack.py:
	  gst-python: Fix override loading in python >= 3.12
	  The `imp` module got removed in python 3.12 and the `importlib` module should be
	  used instead.
	  This is also a good excuse to switch to the new finder module from PEP 451 :
	  https://www.python.org/dev/peps/pep-0451/
	  This only requires implement the `find_spec()` method in our custom loaders
	  Co-authored-by: Stefan <107316-stefan6419846@users.noreply.gitlab.freedesktop.org>
	  Co-authored-by: Jordan Petrids <jordan@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5633>

2024-01-29 16:28:28 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/Gst.py:
	  python: Fix trying to call len() on an int
	  n_tags already represents the len of the TagList
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6012>

2024-01-04 12:44:57 +0000  Stefan <107316-stefan6419846@users.noreply.gitlab.freedesktop.org>

	* testsuite/overrides_hack.py:
	  gst-python: Drop obselete python2 code path
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6007>

2024-01-28 11:15:01 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  meson: bump Meson requirement to >= 1.1 for all modules
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6002>

2023-11-01 12:56:33 -0500  Gwyn Ciesla <gwync@protonmail.com>

	* gi/overrides/gstmodule.c:
	* meson.build:
	  gst-python: Fix API call for Python 3.13
	  _PyUnicode_AsString() is deprecated and PyUnicode_AsUTF8() should be used
	  instead. The new function was introduced in Python 3.3 and returns const
	  since Python 3.7, which is now required.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5587>

2023-08-15 17:41:49 +1000  Jan Schmidt <jan@centricular.com>

	* examples/gst-discover:
	* old_examples/gst-discover:
	  python: Add a GstDiscoverer example
	  Port the old gst-discover example to 1.0
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5187>

2023-08-15 17:41:13 +1000  Jan Schmidt <jan@centricular.com>

	* gi/overrides/Gst.py:
	  python: Add a GstTagList override
	  Add an override that makes a GstTagList act like a dict
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5187>

2023-08-15 11:24:03 +1000  Jan Schmidt <jan@centricular.com>

	* examples/gst_video_converter.py:
	  python: Add gst_video_converter.py example
	  Add an example of using compositor and the samples-selected signal
	  to do frame-by-frame animation by updating pad properties and
	  the pad's GstVideoConverter configuration
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5187>

2023-08-15 17:40:53 +1000  Jan Schmidt <jan@centricular.com>

	* old_examples/filesrc.py:
	* old_examples/helloworld.py:
	* old_examples/pyidentity.py:
	* old_examples/sinkelement-registry.py:
	* old_examples/sinkelement.py:
	  python: Remove some old examples
	  Remove some old examples that have been ported
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5187>

2023-08-15 14:57:09 +1000  Jan Schmidt <jan@centricular.com>

	* examples/dynamic_src.py:
	* examples/helloworld.py:
	* examples/record_sound.py:
	  python: update examples
	  Update various examples for brokenness, bindings and pep8 format changes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5187>

2023-08-15 14:22:12 +1000  Jan Schmidt <jan@centricular.com>

	* examples/plugins/python/audioplot.py:
	* examples/plugins/python/filesrc.py:
	* examples/plugins/python/mixer.py:
	  python: Update plugin examples
	  Fix warnings from bindings changes in various plugin
	  examples
	  Fix the python mixer plugin by ensuring that PIL
	  is not holding a reference to mapped GstBuffer memory.
	  Port the filesrc example from old_examples
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5187>

2023-08-15 14:23:22 +1000  Jan Schmidt <jan@centricular.com>

	* gi/overrides/gstmodule.c:
	  python: Fix python plugins that implement URIHandler
	  Ensure the generated URI strv list is NULL terminated in the python
	  binding
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5187>

2023-07-18 16:34:52 +0200  Andoni Morales Alastruey <amorales@fluendo.com>

	* gi/overrides/meson.build:
	  gst-python: fix build and usage in Windows
	  Windows require the python module to be linked to GStreamer.
	  With msvc and /FORCE:UNUSED, links succeeds but it failes to
	  load the library at runtime.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1584>

2023-07-05 18:46:25 -0600  Olivier Crête <olivier.crete@collabora.com>

	* scripts/gen-changelog.py:
	  gst-omx: Retire the whole package
	  The OpenMAX standard is long dead and even the Raspberry Pi OS
	  no longer supports it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4976>

2023-07-06 12:01:21 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gi/overrides/Gst.py:
	  python: Fix variable name for gst_element_factory_make
	  In order to use keyword argument, the names shoudl match the documentation. Both
	  arguments name was changed in the override.
	  Fixes: #2779
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4982>

2023-05-30 20:48:39 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gi/overrides/Gst.py:
	  python: More functions can be called before gst_init()
	  Configuration of our debugging system is possible before init, and in
	  fact is necessary too, otherwise the settings won't apply to logging
	  that happens during init.
	  For instance, since you cannot register a log function before you call
	  init in python, there is no way for you to log errors during init to
	  whatever logging service your app uses.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4753>

2023-05-30 20:46:37 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gi/overrides/Gst.py:
	  python: auto-pep8 whitespace issues in overrides
	  Needed because the next commit edits this file.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4753>

2023-05-30 11:27:43 -0400  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/meson.build:
	  python: Do not link GStreamer in the overrides
	  Symbols will already be present thanks to pygobject dlopenning the correct lib
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4128>

2023-05-23 17:48:00 +0100  Tim-Philipp Müller <tim@centricular.com>

	* AUTHORS:
	* README:
	* README.md:
	* TODO:
	  gst-python: add proper README and delete useless placeholder files
	  Fixes https://gitlab.freedesktop.org/gstreamer/gst-python/-/issues/54
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4693>

2023-05-23 17:55:11 +0200  Mathieu Duponchelle <mathieu@centricular.com>

	* gi/overrides/Gst.py:
	  gst-python: overrides: provide default to Gst.init()
	  Allows using Gst.init() as without the overrides, can be convenient.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-python/-/issues/51
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/4692>

2022-09-09 04:21:12 +0000  Frank Dana <ferdnyc@gmail.com>

	* meson.build:
	  python: Use arch-specific install dir
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3004>

2021-09-20 17:20:44 -0300  Thibault Saunier <tsaunier@igalia.com>

	* gi/overrides/meson.build:
	  meson: Use python module to install override files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3929>

2023-01-23 23:04:53 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/3775>

=== release 1.22.0 ===

